<?php

/**
 * This file is part of contao-community-alliance/dc-general.
 *
 * (c) 2013-2018 Contao Community Alliance.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * This project is provided in good faith and hope to be usable by anyone.
 *
 * @package    contao-community-alliance/dc-general
 * @author     Christian Schiffler <c.schiffler@cyberspectrum.de>
 * @author     Stefan Heimes <stefan_heimes@hotmail.com>
 * @author     Sven Baumann <baumann.sv@gmail.com>
 * @copyright  2013-2018 Contao Community Alliance.
 * @license    https://github.com/contao-community-alliance/dc-general/blob/master/LICENSE LGPL-3.0-or-later
 * @filesource
 */

use ContaoCommunityAlliance\DcGeneral\Contao\View\Contao2BackendView\FileSelect;

define('TL_MODE', 'BE');

// Search the initialize.php.
$dir = \dirname($_SERVER['SCRIPT_FILENAME']);

while ($dir != '.' && $dir != '/' && !\is_file($dir . '/system/initialize.php')) {
    $dir = \dirname($dir);
}

if (!\is_file($dir . '/system/initialize.php')) {
    echo 'Could not find initialize.php, where is Contao?';
    exit;
}

define('TL_SCRIPT', 'system/modules/dc-general/backend/generalfile.php');

require_once $dir . '/system/initialize.php';

$objTreePicker = new FileSelect();
$objTreePicker->run();
